<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>gov.va.med.mpn</groupId>
	<artifactId>mpn-parent</artifactId>
	<version>1.24-SNAPSHOT</version>
	<packaging>pom</packaging>
	<name>Modern Progress Notes (MPN) Parent Project</name>
	<description>Parent project for all modules to be used within the Modern Progress Notes (MPN) solution, providing project particulars such as repositories, source control, common libraries, library versions, etc.  All MPN modules should leverage this parent and its properties.</description>
	<organization>
		<name>Department of Veterans Affairs</name>
	</organization>
	<prerequisites>
		<maven>3.2.1</maven>
	</prerequisites>
	
	<modules>
		<module>auth</module>
		<module>forms</module>
		<module>extract</module>
		<module>codedcontrolservice</module>
		<module>mpn-app-ext</module>
	</modules>
  
<!-- 	<scm>
    <connection>scm:git:ssh://git@bitbucket.org/<username>/<repo>.git</connection>
    <developerConnection>scm:git:ssh://git@bitbucket.org/<username>/<repo>.git</developerConnection>
    <url>https://<username>@coderepo.serverserver.domain/scm/pncssf/mpn.git</url>
</scm>   -->

   <ciManagement>
      <system>Jenkins</system>
      <url>https://mpn-dev.eslabs.xw.ssn.hp.com/jenkins</url>
      <notifiers>
         <notifier>
            <type>mail</type>
            <address>david.aar.lucas@hp.com</address>
         </notifier>
      </notifiers>
   </ciManagement>

	<developers>
		<developer>
			<email>david.aar.lucas@hp.com</email>
			<name>Aaron Lucas</name>
			<id>lucasd</id>
            <roles>
                <role>developer</role>
            </roles>			
		</developer>
		<developer>
			<email>pratap.chilukuri@hp.com</email>
			<name>Pratap Chilukuri</name>
			<id>chilukurip</id>
            <roles>
                <role>developer</role>
            </roles>			
		</developer>
		<developer>
			<email>antonio.perfeito@hp.com</email>
			<name>Antonio Perfeito</name>
			<id>perfeitoa</id>
            <roles>
                <role>developer</role>
            </roles>			
		</developer>
	</developers>	
  
    <repositories>
    <repository>
      <releases>
        <checksumPolicy>warn</checksumPolicy>
      </releases>
      <snapshots>
        <enabled>false</enabled>
        <checksumPolicy>warn</checksumPolicy>
      </snapshots>
      <id>mpnSharedRepository</id>
      <name>mpn shared repository</name>
      <url>https://mpn-dev.eslabs.xw.ssn.hp.com/artifactory/libs-release</url>
    </repository>
    <repository>
      <releases>
        <enabled>false</enabled>
        <checksumPolicy>warn</checksumPolicy>
      </releases>
      <snapshots>
        <checksumPolicy>warn</checksumPolicy>
      </snapshots>
      <id>mpnSnapshotSharedRepository</id>
      <name>mpn snapshot shared repository</name>
      <url>https://mpn-dev.eslabs.xw.ssn.hp.com/artifactory/libs-snapshot</url>
    </repository>
  </repositories>
  <pluginRepositories>
    <pluginRepository>
      <releases>
        <checksumPolicy>warn</checksumPolicy>
      </releases>
      <snapshots>
        <enabled>false</enabled>
        <checksumPolicy>warn</checksumPolicy>
      </snapshots>
      <id>mpnPluginRepository</id>
      <name>mpn plugin repository</name>
      <url>https://mpn-dev.eslabs.xw.ssn.hp.com/artifactory/plugins-release</url>
    </pluginRepository>
    <pluginRepository>
      <releases>
        <enabled>false</enabled>
        <checksumPolicy>warn</checksumPolicy>
      </releases>
      <snapshots>
        <checksumPolicy>warn</checksumPolicy>
      </snapshots>
      <id>mpnPluginSnapshotRepository</id>
      <name>mpn plugin snapshot repository</name>
      <url>https://mpn-dev.eslabs.xw.ssn.hp.com/artifactory/plugins-snapshot</url>
    </pluginRepository>
  </pluginRepositories>
  <distributionManagement>
    <repository>
      <id>mpnSharedRepository</id>
      <name>mpn shared repository</name>
      <url>https://mpn-dev.eslabs.xw.ssn.hp.com/artifactory/libs-release-local</url>
    </repository>
    <snapshotRepository>
      <id>mpnSnapshotSharedRepository</id>
      <name>mpn snapshot shared repository</name>
      <url>https://mpn-dev.eslabs.xw.ssn.hp.com/artifactory/libs-snapshot-local</url>
      <uniqueVersion>false</uniqueVersion>
    </snapshotRepository>
  </distributionManagement>
  
	<build>
		<defaultGoal>install</defaultGoal>
		<extensions>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-file</artifactId>
				<version>2.4</version>
			</extension>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-webdav-jackrabbit</artifactId>
				<version>2.4</version>
			</extension>
		</extensions>
		<pluginManagement>
			<plugins>
				<!-- begin core plugins -->
				<plugin>
					<artifactId>maven-archetype-plugin</artifactId>
					<version>2.2</version>
				</plugin>
				<plugin>
					<artifactId>maven-clean-plugin</artifactId>
					<version>2.5</version>
				</plugin>
				<plugin>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>3.1</version>
					<configuration>
						<source>${mpn.java.version}</source>
						<target>${mpn.java.version}</target>
						<showDeprecation>true</showDeprecation>
						<showWarnings>true</showWarnings>
						<compilerArgument>-Xlint:unchecked,fallthrough,finally</compilerArgument>
						<encoding>${mpn.encoding}</encoding>
					</configuration>
				</plugin>
				<plugin>
					<artifactId>maven-deploy-plugin</artifactId>
					<version>2.8.1</version>
				</plugin>
				<plugin>
					<artifactId>maven-install-plugin</artifactId>
					<version>2.5.1</version>
				</plugin>
				<plugin>
					<artifactId>maven-resources-plugin</artifactId>
					<version>2.6</version>
					<configuration>
						<encoding>${mpn.encoding}</encoding>
					</configuration>
				</plugin>
				<plugin>
					<artifactId>maven-site-plugin</artifactId>
					<version>3.3</version>
				</plugin>
				<plugin>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>2.16</version>
				</plugin>
				<plugin>
					<artifactId>maven-verifier-plugin</artifactId>
					<version>1.0</version>
				</plugin>
				<!-- end core plugins -->
				<!-- begin packaging/types plugins -->
				<plugin>
					<artifactId>maven-ear-plugin</artifactId>
					<version>2.9</version>
				</plugin>
				<plugin>
					<artifactId>maven-ejb-plugin</artifactId>
					<version>2.3</version>
				</plugin>
				<plugin>
					<artifactId>maven-jar-plugin</artifactId>
					<version>2.4</version>
					<configuration>
						<archive>
							<index>true</index>
						</archive>
					</configuration>
				</plugin>
				<plugin>
					<artifactId>maven-rar-plugin</artifactId>
					<version>2.3</version>
				</plugin>
				<plugin>
					<artifactId>maven-war-plugin</artifactId>
					<version>2.4</version>
				</plugin>
				<plugin>
					<artifactId>maven-shade-plugin</artifactId>
					<version>2.2</version>
				</plugin>
				<!-- end packaging/types plugins -->
				<!-- begin reporting plugins -->
				<plugin>
					<artifactId>maven-changelog-plugin</artifactId>
					<version>2.2</version>
				</plugin>
				<plugin>
					<artifactId>maven-changes-plugin</artifactId>
					<version>2.9</version>
				</plugin>
				<plugin>
					<artifactId>maven-checkstyle-plugin</artifactId>
					<version>2.11</version>
					<configuration>
						<consoleOutput>true</consoleOutput>
						<encoding>${mpn.encoding}</encoding>
					</configuration>
				</plugin>
				<plugin>
					<artifactId>maven-javadoc-plugin</artifactId>
					<version>2.9.1</version>
					<configuration>
						<quiet>true</quiet>
						<linksource>true</linksource>
						<docencoding>${mpn.encoding}</docencoding>
						<encoding>${mpn.encoding}</encoding>
					</configuration>
				</plugin>
				<plugin>
					<artifactId>maven-jxr-plugin</artifactId>
					<version>2.3</version>
				</plugin>
				<plugin>
					<artifactId>maven-pmd-plugin</artifactId>
					<version>3.0.1</version>
					<configuration>
						<encoding>${mpn.encoding}</encoding>
					</configuration>
				</plugin>
				<plugin>
					<artifactId>maven-project-info-reports-plugin</artifactId>
					<version>2.7</version>
				</plugin>
				<plugin>
					<artifactId>maven-surefire-report-plugin</artifactId>
					<version>2.16</version>
				</plugin>
				<!-- end reporting plugins -->
				<!-- begin tools plugins -->
				<plugin>
					<artifactId>maven-antrun-plugin</artifactId>
					<version>1.7</version>
				</plugin>
				<plugin>
					<artifactId>maven-assembly-plugin</artifactId>
					<version>2.4</version>
				</plugin>
				<plugin>
					<artifactId>maven-dependency-plugin</artifactId>
					<version>2.8</version>
				</plugin>
				<plugin>
					<artifactId>maven-enforcer-plugin</artifactId>
					<version>1.3.1</version>
				</plugin>
				<plugin>
					<artifactId>maven-help-plugin</artifactId>
					<version>2.2</version>
				</plugin>
				<plugin>
					<artifactId>maven-invoker-plugin</artifactId>
					<version>1.8</version>
				</plugin>
				<plugin>
					<artifactId>maven-release-plugin</artifactId>
					<version>2.4.2</version>
					<configuration>
						<autoVersionSubmodules>true</autoVersionSubmodules>
						<useReleaseProfile>false</useReleaseProfile>
						<goals>source:jar deploy</goals>
						<arguments>-DupdateReleaseInfo=true</arguments>
						<updateBranchVersions>true</updateBranchVersions>
						<updateWorkingCopyVersions>false</updateWorkingCopyVersions>
					</configuration>
				</plugin>
				<plugin>
					<artifactId>maven-remote-resources-plugin</artifactId>
					<version>1.5</version>
				</plugin>
				<plugin>
					<artifactId>maven-repository-plugin</artifactId>
					<version>2.3.1</version>
				</plugin>
				<plugin>
					<artifactId>maven-scm-plugin</artifactId>
					<version>1.8.1</version>
				</plugin>
				<plugin>
					<artifactId>maven-source-plugin</artifactId>
					<version>2.2.1</version>
				</plugin>
				<!-- end tools plugins -->
				<!-- begin ide plugins -->
				<plugin>
					<artifactId>maven-eclipse-plugin</artifactId>
					<version>2.9</version>
				</plugin>
				<!-- end ide plugins -->
				<!-- begin codehaus plugins -->
				<plugin>
					<groupId>org.codehaus.mojo</groupId>
					<artifactId>build-helper-maven-plugin</artifactId>
					<version>1.8</version>
				</plugin>
				<plugin>
					<groupId>org.codehaus.mojo</groupId>
					<artifactId>jdepend-maven-plugin</artifactId>
					<version>2.0-beta-2</version>
				</plugin>
				<plugin>
					<groupId>org.codehaus.mojo</groupId>
					<artifactId>taglist-maven-plugin</artifactId>
					<version>2.4</version>
					<configuration>
						<encoding>${mpn.encoding}</encoding>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.codehaus.mojo</groupId>
					<artifactId>findbugs-maven-plugin</artifactId>
					<version>2.5.3</version>
				</plugin>
				<plugin>
					<groupId>org.codehaus.mojo</groupId>
					<artifactId>versions-maven-plugin</artifactId>
					<version>2.1</version>
				</plugin>
				<plugin>
					<groupId>org.codehaus.mojo</groupId>
					<artifactId>cobertura-maven-plugin</artifactId>
					<version>2.6</version>
				</plugin>
				<!-- end codehaus plugins -->
			</plugins>
		</pluginManagement>
		<plugins>

		        <!-- plugin>
		            <groupId>org.jfrog.buildinfo</groupId>
		            <artifactId>artifactory-maven-plugin</artifactId>
		            <version>2.2.3</version>
		            <inherited>false</inherited>
		            <executions>
		                <execution>
		                    <id>build-info</id>
		                    <goals>
		                        <goal>publish</goal>
		                    </goals>
		                    <configuration>
		                        <deployProperties>
		                            <gradle>awesome</gradle>
		                            <review.team>qa</review.team>
		                        </deployProperties>
	                            <artifactory>
	                                <includeEnvVars>true</includeEnvVars>
	                                <timeoutSec>600</timeoutSec>
	                                <propertiesFile>publish.properties</propertiesFile>
	                            </artifactory>		                        
		                        <publisher>
		                            <contextUrl>https://mpn-dev.eslabs.xw.ssn.hp.com/artifactory</contextUrl>
		                            <username>xxxxx</username>
		                            <password>xxxxxx</password>
		                            <repoKey>jenkins-release-local</repoKey>
		                            <snapshotRepoKey>jenkins-snapshot-local</snapshotRepoKey>
		                        </publisher>
		                    </configuration>
		                </execution>
		            </executions>
		        </plugin>  -->

			<plugin>
				<artifactId>maven-enforcer-plugin</artifactId>
				<executions>
					<execution>
						<id>enforce-versions</id>
						<goals>
							<goal>enforce</goal>
						</goals>
						<inherited>false</inherited>
						<configuration>
							<rules>
								<requireMavenVersion>
									<version>2.2.1</version>
								</requireMavenVersion>
								<requireJavaVersion>
									<version>${mpn.java.version}</version>
								</requireJavaVersion>
								<requirePluginVersions>
									<message>Best Practice is to always define plugin versions!</message>
									<banLatest>true</banLatest>
									<banRelease>true</banRelease>
									<banSnapshots>true</banSnapshots>
									<phases>clean,deploy,site</phases>
									<additionalPlugins>
										<additionalPlugin>org.apache.maven.plugins:maven-eclipse-plugin</additionalPlugin>
										<!-- additionalPlugin>org.apache.maven.plugins:maven-ide-plugin</additionalPlugin -->
									</additionalPlugins>
								</requirePluginVersions>
							</rules>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-eclipse-plugin</artifactId>
				<inherited>false</inherited>
				<configuration>
					<skip>true</skip>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<reporting>
		<plugins>
			<plugin>
				<artifactId>maven-project-info-reports-plugin</artifactId>
				<version>2.7</version>
			</plugin>
			<plugin>
				<artifactId>maven-javadoc-plugin</artifactId>
				<version>2.9.1</version>
				<configuration>
					<quiet>true</quiet>
					<linksource>true</linksource>
					<docencoding>${mpn.encoding}</docencoding>
					<encoding>${mpn.encoding}</encoding>
				</configuration>
				<reportSets>
					<reportSet>
						<reports>
							<report>javadoc</report>
							<report>test-javadoc</report>
						</reports>
					</reportSet>
				</reportSets>
			</plugin>
			<plugin>
				<artifactId>maven-checkstyle-plugin</artifactId>
				<version>2.11</version>
				<configuration>
					<configLocation>${ariss.checkstyle.config.location}</configLocation>
					<encoding>${mpn.encoding}</encoding>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-pmd-plugin</artifactId>
				<version>3.0.1</version>
				<configuration>
					<linkXref>true</linkXref>
					<targetJdk>${mpn.java.version}</targetJdk>
					<sourceEncoding>${mpn.encoding}</sourceEncoding>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.16</version>
			</plugin>
			<plugin>
				<artifactId>maven-surefire-report-plugin</artifactId>
				<version>2.16</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>jdepend-maven-plugin</artifactId>
				<version>2.0-beta-2</version>
			</plugin>
			<plugin>
				<artifactId>maven-jxr-plugin</artifactId>
				<version>2.3</version>
				<configuration>
					<linkJavadoc>true</linkJavadoc>
					<inputEncoding>${mpn.encoding}</inputEncoding>
					<outputEncoding>${mpn.encoding}</outputEncoding>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>taglist-maven-plugin</artifactId>
				<version>2.4</version>
				<configuration>
					<tagListOptions>
						<tagClasses>
							<tagClass>
								<displayName>TODO Work</displayName>
								<tags>
									<tag>
										<matchString>todo</matchString>
										<matchType>ignoreCase</matchType>
									</tag>
								</tags>
							</tagClass>
							<tagClass>
								<displayName>FIXME Work</displayName>
								<tags>
									<tag>
										<matchString>fixme</matchString>
										<matchType>ignoreCase</matchType>
									</tag>
									<tag>
										<matchString>fix me</matchString>
										<matchType>ignoreCase</matchType>
									</tag>
								</tags>
							</tagClass>
						</tagClasses>
					</tagListOptions>
					<encoding>${mpn.encoding}</encoding>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>findbugs-maven-plugin</artifactId>
				<version>2.5.3</version>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>cobertura-maven-plugin</artifactId>
				<version>2.6</version>
			</plugin>
			<plugin>
				<artifactId>maven-changes-plugin</artifactId>
				<version>2.9</version>
				<reportSets>
					<reportSet>
						<reports>
							<report>changes-report</report>
						</reports>
					</reportSet>
				</reportSets>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>versions-maven-plugin</artifactId>
				<version>2.1</version>
				<reportSets>
					<reportSet>
						<reports>
							<report>dependency-updates-report</report>
							<report>plugin-updates-report</report>
							<report>property-updates-report</report>
						</reports>
					</reportSet>
				</reportSets>
			</plugin>
		</plugins>
	</reporting>
	<dependencyManagement>
        <dependencies>
        
           <!--  CXF Dependencies -->
	        <dependency>
	            <groupId>org.apache.cxf</groupId>
	            <artifactId>cxf-rt-frontend-jaxws</artifactId>
	            <version>${cxf.version}</version>
	        </dependency>
	        <dependency>
	            <groupId>org.apache.cxf</groupId>
	            <artifactId>cxf-rt-transports-http</artifactId>
	            <version>${cxf.version}</version>
	        </dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxrs</artifactId>
				<version>${cxf.version}</version>
			</dependency>  
			<dependency>
			   <groupId>org.apache.cxf</groupId>
			   <artifactId>cxf-rt-transports-local</artifactId>
			   <version>${cxf.version}</version>
			</dependency>			
		    <dependency>
		       <groupId>org.apache.cxf</groupId>
		       <artifactId>cxf-rt-rs-extension-search</artifactId>
		       <version>${cxf.version}</version>
		    </dependency>		
		    <dependency>
		       <groupId>org.apache.cxf</groupId>
		       <artifactId>cxf-rt-rs-extension-providers</artifactId>
		       <version>${cxf.version}</version>
		    </dependency>		    
			<dependency>
		        <groupId>org.apache.cxf</groupId>
		        <artifactId>cxf-rt-rs-client</artifactId>
		        <version>${cxf.version}</version>
		    </dependency>			
			
	        <!-- Spring Dependencies -->
	        <dependency>
	            <groupId>org.springframework</groupId>
	            <artifactId>spring-core</artifactId>
	            <version>${spring.version}</version>
	        </dependency>
	        <dependency>
	            <groupId>org.springframework</groupId>
	            <artifactId>spring-web</artifactId>
	            <version>${spring.version}</version>
	        </dependency>	
	        <dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-beans</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-webmvc</artifactId>
				<version>${spring.version}</version>
			</dependency>
			
			<!-- Spring Test -->
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-test</artifactId>
				<version>${spring.version}</version>
				<scope>test</scope>
			</dependency>				
			
	        <!-- Spring Security -->
			<dependency>
				<groupId>org.springframework.security</groupId>
				<artifactId>spring-security-core</artifactId>
				<version>${spring.security.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework.security</groupId>
				<artifactId>spring-security-config</artifactId>
				<version>${spring.security.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework.security</groupId>
				<artifactId>spring-security-web</artifactId>
				<version>${spring.security.version}</version>
			</dependency>
			
			<!-- Spring Security OAuth2 -->
			<dependency>
				<groupId>org.springframework.security.oauth</groupId>
				<artifactId>spring-security-oauth2</artifactId>
				<version>${spring.security.oauth2.version}</version>
			</dependency>	
				
			<!-- Log4j deps -->
			<dependency>
				<groupId>org.slf4j</groupId>
				<artifactId>slf4j-log4j12</artifactId>
				<version>${slf4j.version}</version>
			</dependency>
			<dependency>
				<groupId>log4j</groupId>
				<artifactId>log4j</artifactId>
				<version>${log4j.version}</version>
			</dependency>
	
			<!-- JUnit deps -->
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>${junit.version}</version>
				<exclusions>
					<exclusion>
						<artifactId>hamcrest-core</artifactId>
						<groupId>org.hamcrest</groupId>
					</exclusion>
				</exclusions>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.hamcrest</groupId>
				<artifactId>hamcrest-all</artifactId>
				<version>${hamcrest.version}</version>
				<scope>test</scope>
			</dependency>
			
			<!-- UI JS Frameworks -->
			<dependency>
				<groupId>org.webjars</groupId>
				<artifactId>jquery</artifactId>
				<version>${jquery.version}</version>
			</dependency>
			<dependency>
				<groupId>org.webjars</groupId>
				<artifactId>bootstrap</artifactId>
				<version>${bootstrap.version}</version>
			</dependency>
			<dependency>
				<groupId>org.webjars</groupId>
				<artifactId>modernizr</artifactId>
				<version>${modernizr.version}</version>
			</dependency>
			<dependency>
				<groupId>org.sitemesh</groupId>
				<artifactId>sitemesh</artifactId>
				<version>${sitemesh.version}</version>
			</dependency>        
			
			<!-- PDFBox Dependency -->
			<dependency>
				<groupId>pdfbox</groupId>
				<artifactId>pdfbox</artifactId>
				<version>${pdfbox.version}</version>
			</dependency>
			
			<!-- Servlet & JSTL -->
			<dependency>
				<groupId>javax.servlet</groupId>
				<artifactId>jstl</artifactId>
				<version>${jstl.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.servlet</groupId>
				<artifactId>servlet-api</artifactId>
				<version>${servlet.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
			  <groupId>org.apache.commons</groupId>
			  <artifactId>commons-lang3</artifactId>
			  <version>${commons-lang3.version}</version>	
			</dependency>			
			
        </dependencies>
    </dependencyManagement>	
	<properties>
		<mpn.encoding>UTF-8</mpn.encoding>
		<mpn.java.version>1.7</mpn.java.version>
		<tomcat.plugin.version>2.2</tomcat.plugin.version>
		<tomcat.version>7.0.54</tomcat.version>
		<spring.version>4.0.5.RELEASE</spring.version>
		<slf4j.version>1.7.7</slf4j.version>
		<log4j.version>1.2.17</log4j.version>
		<junit.version>4.11</junit.version>
		<mockito.version>1.8.4</mockito.version>
		<hamcrest.version>1.3</hamcrest.version>
		<jsonpath.version>0.9.1</jsonpath.version>
		<!-- MAE WebLogic is on 2.5 -->
		<servlet.version>2.5</servlet.version>
		<jstl.version>1.2</jstl.version>
		<cxf.version>3.0.0</cxf.version>
		<junit.version>4.11</junit.version>
		<cxf-xjc-plugin.version>2.6.2</cxf-xjc-plugin.version>
		<cxf.xjc.ts.version>2.6.0</cxf.xjc.ts.version>
		<jackson.version>1.9.13</jackson.version>
		<probe.version>2.3.3</probe.version>
		<pdfbox.version>0.7.3</pdfbox.version>
		<spring.security.version>3.2.4.RELEASE</spring.security.version>
		<jquery.version>2.1.1</jquery.version>
		<bootstrap.version>3.2.0</bootstrap.version>
		<modernizr.version>2.7.1</modernizr.version>
		<sitemesh.version>3.0.0</sitemesh.version>
		<spring.security.oauth2.version>1.0.4.RELEASE</spring.security.oauth2.version>
		<commons-lang3.version>3.1</commons-lang3.version>
	</properties>
</project>